Login or sign up Lost password?
Login or sign up
For example the recent 4.1 release is only providing Lync-specific features so devices currently used with other SIP platforms (.e.g Broadsoft, Avaya, Nortel, etc) should not install this update and should remain on 4.0 software for now.